summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Larry Hajali2014-01-02 03:53:37 +0100
committer Erik Hanson2014-01-07 18:13:59 +0100
commitc0d688edf0a7ca2284f73345c588962ac0b4bc47 (patch)
tree61f0f59a1c04165953111f309fa6adf078ef6582 /audio
parent09ebaf40e08c33261c8cbf047c1ff2e771cf9b9f (diff)
downloadslackbuilds-c0d688edf0a7ca2284f73345c588962ac0b4bc47.tar.gz
audio/lastfm: Added (Official player from Last.fm).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/lastfm/README6
-rw-r--r--audio/lastfm/doinst.sh9
-rw-r--r--audio/lastfm/ffmpeg-2.0.patch13
-rw-r--r--audio/lastfm/lastfm.SlackBuild98
-rw-r--r--audio/lastfm/lastfm.info10
-rw-r--r--audio/lastfm/package-paths.patch12
-rw-r--r--audio/lastfm/slack-desc19
7 files changed, 167 insertions, 0 deletions
diff --git a/audio/lastfm/README b/audio/lastfm/README
new file mode 100644
index 0000000000..6a0457036f
--- /dev/null
+++ b/audio/lastfm/README
@@ -0,0 +1,6 @@
+Last.fm is the flagship product from the team that designed the Audioscrobbler
+system, a music engine based on a massive collection of Music Profiles.
+Each music profile belongs to one person, and describes their taste in music.
+Last.fm uses these music profiles to make personalized recommendations, match
+you up with people who like similar music, and generate custom radio
+stations for each person.
diff --git a/audio/lastfm/doinst.sh b/audio/lastfm/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/audio/lastfm/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/lastfm/ffmpeg-2.0.patch b/audio/lastfm/ffmpeg-2.0.patch
new file mode 100644
index 0000000000..a8e7c93fb0
--- /dev/null
+++ b/audio/lastfm/ffmpeg-2.0.patch
@@ -0,0 +1,13 @@
+diff -Naur lastfm-desktop-2.1.36.orig/app/fingerprinter/LAV_Source.cpp lastfm-desktop-2.1.36/app/fingerprinter/LAV_Source.cpp
+--- lastfm-desktop-2.1.36.orig/app/fingerprinter/LAV_Source.cpp 2013-09-03 12:19:10.000000000 +0000
++++ lastfm-desktop-2.1.36/app/fingerprinter/LAV_Source.cpp 2014-01-01 02:15:23.422896266 +0000
+@@ -34,6 +34,9 @@
+ # include <libavresample/avresample.h>
+ # include <libavutil/opt.h>
+ #endif
++#ifndef AVCODEC_MAX_AUDIO_FRAME_SIZE
++#define AVCODEC_MAX_AUDIO_FRAME_SIZE 192000 // 1 second of 48khz 32bit audio
++#endif
+ }
+
+ #include <iostream>
diff --git a/audio/lastfm/lastfm.SlackBuild b/audio/lastfm/lastfm.SlackBuild
new file mode 100644
index 0000000000..b08ad8f54b
--- /dev/null
+++ b/audio/lastfm/lastfm.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for lastfm
+
+# Copyright 2014 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lastfm
+VERSION=${VERSION:-2.1.36}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-desktop-$VERSION
+tar xvf $CWD/$PRGNAM-desktop-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-desktop-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix paths.
+cat $CWD/package-paths.patch | sed -e "s|@LIBDIRSUFFIX@|$LIBDIRSUFFIX|" \
+ | patch -p1
+# Fix for ffmpeg 2.x.
+patch -p1 < $CWD/ffmpeg-2.0.patch
+# Turn on verbose compile output.
+sed -i 's|^CONFIG.*|#&|' admin/include.qmake
+
+qmake PREFIX="/usr" QMAKE_CFLAGS+="$SLKCFLAGS" QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ CONFIG+="release" LIBS+="-L/usr/lib${LIBDIRSUFFIX}" -o Makefile Last.fm.pro
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/lastfm/lastfm.info b/audio/lastfm/lastfm.info
new file mode 100644
index 0000000000..6d663b6e83
--- /dev/null
+++ b/audio/lastfm/lastfm.info
@@ -0,0 +1,10 @@
+PRGNAM="lastfm"
+VERSION="2.1.36"
+HOMEPAGE="http://www.last.fm/download"
+DOWNLOAD="https://github.com/lastfm/lastfm-desktop/archive/2.1.36.tar.gz"
+MD5SUM="1195ab4aa2c82151a99dec07af142207"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ffmpeg"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/audio/lastfm/package-paths.patch b/audio/lastfm/package-paths.patch
new file mode 100644
index 0000000000..d8cffa1b04
--- /dev/null
+++ b/audio/lastfm/package-paths.patch
@@ -0,0 +1,12 @@
+diff -Naur lastfm-desktop-2.1.36.orig/lib/unicorn/UnicornApplication.cpp lastfm-desktop-2.1.36/lib/unicorn/UnicornApplication.cpp
+--- lastfm-desktop-2.1.36.orig/lib/unicorn/UnicornApplication.cpp 2013-09-03 12:19:10.000000000 +0000
++++ lastfm-desktop-2.1.36/lib/unicorn/UnicornApplication.cpp 2014-01-01 03:33:09.389688237 +0000
+@@ -234,7 +234,7 @@
+ t1->load( d.filePath( "lastfm_" + qmExt ) );
+
+ QTranslator* t2 = new QTranslator( this );
+- t2->load( d.filePath( "qt_" + qmExt ) );
++ t2->load( QDir("/usr/lib@LIBDIRSUFFIX@/qt/translations").filePath( "qt_" + qmExt ) );
+
+ installTranslator( t1 );
+ installTranslator( t2 );
diff --git a/audio/lastfm/slack-desc b/audio/lastfm/slack-desc
new file mode 100644
index 0000000000..f251d109fc
--- /dev/null
+++ b/audio/lastfm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lastfm: lastfm (Official player from Last.fm)
+lastfm:
+lastfm: Last.fm is the flagship product from the team that designed the
+lastfm: Audioscrobbler system, a music engine based on a massive collection
+lastfm: of Music Profiles. Each music profile belongs to one person, and
+lastfm: describes their taste in music. Last.fm uses these music profiles to
+lastfm: make personalized recommendations, match you up with people who like
+lastfm: similar music, and generate custom radio stations for each person.
+lastfm:
+lastfm: Homepage: http://www.last.fm/download
+lastfm: